//
//  UpcomingSystemHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/5/6.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "UpcomingSystemHttpPostCmd.h"
#import "UpcomingSystemHttpResult.h"
static NSString *kActionUrl1 = @"/newdealt/queryAllDealtList";

@implementation UpcomingSystemHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UpcomingSystemHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UpcomingSystemHttpResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    
    return kActionUrl1;
}
@end
NSString *const kHttpUpcomingSystemHttpPostCmd_targetid = @"system";
NSString *const kHttpUpcomingSystemHttpPostCmd_state = @"state";
